VERSION 5.00
Object = "{648A5603-2C6E-101B-82B6-000000000014}#1.1#0"; "MSCOMM32.OCX"
Begin VB.Form Form1 
   Caption         =   "Com Port Test in Visual Basic 6"
   ClientHeight    =   6015
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6615
   LinkTopic       =   "Form1"
   ScaleHeight     =   6015
   ScaleWidth      =   6615
   StartUpPosition =   3  'Windows Default
   Begin MSCommLib.MSComm MSComm1 
      Left            =   5760
      Top             =   5160
      _ExtentX        =   1005
      _ExtentY        =   1005
      _Version        =   393216
      CommPort        =   5
      DTREnable       =   -1  'True
      Handshaking     =   2
      RThreshold      =   1
      BaudRate        =   115200
   End
   Begin VB.TextBox uxDataReceived 
      Height          =   4095
      Left            =   120
      Locked          =   -1  'True
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   8
      Top             =   1800
      Width           =   6375
   End
   Begin VB.CommandButton uxSendCtrlZ 
      Caption         =   "Send Ctrl-Z"
      Height          =   400
      Left            =   5280
      TabIndex        =   7
      Top             =   1240
      Width           =   1215
   End
   Begin VB.CommandButton uxSendCR 
      Caption         =   "Send CR"
      Height          =   400
      Left            =   1440
      TabIndex        =   6
      Top             =   1240
      Width           =   1215
   End
   Begin VB.CommandButton uxSendWithoutCR 
      Caption         =   "Send w/o CR"
      Height          =   400
      Left            =   120
      TabIndex        =   5
      Top             =   1240
      Width           =   1215
   End
   Begin VB.CommandButton uxSendButton 
      Caption         =   "Send"
      Height          =   400
      Left            =   5280
      TabIndex        =   4
      Top             =   720
      Width           =   1215
   End
   Begin VB.TextBox uxDataToSend 
      Height          =   320
      Left            =   120
      TabIndex        =   3
      Top             =   760
      Width           =   5055
   End
   Begin VB.CommandButton uxDisconnectButton 
      Caption         =   "Disconnect"
      Height          =   400
      Left            =   2760
      TabIndex        =   2
      Top             =   200
      Width           =   1215
   End
   Begin VB.CommandButton uxConnectButton 
      Caption         =   "Connect"
      Height          =   400
      Left            =   1440
      TabIndex        =   1
      Top             =   200
      Width           =   1215
   End
   Begin VB.ComboBox uxSerialPortList 
      Height          =   315
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub uxConnectButton_Click()

    On Error GoTo ErrorHandler

    MSComm1.CommPort = 4
    MSComm1.PortOpen = True
    uxDataReceived.Text = uxDataReceived.Text & "*** Connected to COM" & MSComm1.CommPort & " ***" & vbCrLf

    Exit Sub

ErrorHandler:

    HandleError

End Sub

Private Sub uxDisconnectButton_Click()

    On Error GoTo ErrorHandler

    MSComm1.PortOpen = False
    uxDataReceived.Text = uxDataReceived.Text & "*** Disconnected from COM" & MSComm1.CommPort & " ***" & vbCrLf

    Exit Sub

ErrorHandler:

    HandleError

End Sub


Private Sub uxDataToSend_KeyPress(KeyAscii As Integer)

    If KeyAscii = 13 Then uxSendButton_Click

End Sub


Private Sub uxSendButton_Click()

    On Error GoTo ErrorHandler
    
    Dim txt As Variant
    txt = uxDataToSend.Text & vbCr
    MSComm1.Output = txt
    
    uxDataToSend.Text = ""
    
    Exit Sub
    
ErrorHandler:
    
    HandleError

End Sub


Private Sub MSComm1_OnComm()

    On Error GoTo ErrorHandler

    If MSComm1.CommEvent = comEvReceive Then
        Dim txt As Variant
        txt = MSComm1.Input
        uxDataReceived.Text = uxDataReceived.Text & txt
    End If

ErrorHandler:
    
    HandleError

End Sub


Private Sub HandleError()

    uxDataReceived.Text = uxDataReceived.Text & Err.Description & vbCrLf

End Sub

